=== debian/control ===
Source: ros-iron-ublox-dgnss-node
Section: misc
Priority: optional
Maintainer: Nick Hortovanyi <nick@aussierobots.com.au>
Build-Depends: debhelper (>= 9.0.0), libusb-1.0-0-dev, pkg-config, ros-iron-ament-cmake, ros-iron-ament-cmake-copyright <!nocheck>, ros-iron-ament-cmake-cppcheck <!nocheck>, ros-iron-ament-cmake-uncrustify <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-rtcm-msgs, ros-iron-ublox-ubx-interfaces, ros-iron-ublox-ubx-msgs, ros-iron-ros-workspace
Homepage: https://github.com/aussierobots/ublox_dgnss
Standards-Version: 3.9.2

Package: ros-iron-ublox-dgnss-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libusb-1.0-0-dev, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-rtcm-msgs, ros-iron-std-msgs, ros-iron-ublox-ubx-interfaces, ros-iron-ublox-ubx-msgs, ros-iron-ros-workspace
Description: Provides a ublox_gnss node for a u-blox GPS GNSS receiver using Gen 9 UBX Protocol
